package main

import (
	"local/oauth2/oauth2server/config"
	"local/oauth2/oauth2server/server"
	"log"
	"net/http"
)

func main() {
	s := server.New()
	if err := s.Routes(); err != nil {
		panic(err)
	}
	log.Println("listening on", config.Port)
	if err := http.ListenAndServe(config.Port, s); err != nil {
		panic(err)
	}
}
